Linux For Cynics One user's experiences with Linux

5Apr/139

Install Spotify on Debian Testing (Wheezy)

If you follow the instructions on the Spotify Linux Preview website to install Spotify on Debian Wheezy, you will get the following error from apt:

The following packages have unmet dependencies:
spotify-client : Depends: libssl0.9.8 but it is not installable

The problem is that Spotify is hardlinked with libssl0.9.8, and the Wheezy repos only have libssl1.0. This is a very easy problem to rectify. Just go to the libssl0.9.8 package page for Squeeze and download the appropriate package for your architecture.
download_libssl
Then install the package, like so:

sudo dpkg -i /path/to/package.deb

(of course replace "/path/to/package.deb" with the actual location of the libssl0.9.8 package you just downloaded)

Now you should be able to install spotify-client by following spotify's instructions:

# 1. Add this line to your list of repositories by
#    editing your /etc/apt/sources.list
deb http://repository.spotify.com stable non-free

# 2. If you want to verify the downloaded packages,
#    you will need to add our public key
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 94558F59

# 3. Run apt-get update
sudo apt-get update

# 4. Install spotify!
sudo apt-get install spotify-client